%define	upstream_name	 Net-Write
%define	upstream_version 1.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    An interface to open and send raw frames to network
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Gomor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::Pcap) >= 0.120.0
BuildRequires: perl(Socket6)
BuildArch:  noarch

%description
Net::Write provides a portable interface to open a network interface, and be
able to write raw data directly to the network. It juste provides three
methods when a Net::Write object has been created for an interface: open, send,
close.

It is possible to open a network interface to send frames at layer 2 (you craft
a frame from link layer), or at layer 3 (you craft a frame from network layer),
or at layer 4 (you craft a frame from transport layer).

NOTE: not all operating systems support all layer opening. Currently, Windows
only supports opening and sending at layer 2. Other Unix systems should be able
to open and send at all layers.

See also Net::Write::Layer2, Net::Write::Layer3, Net::Write::Layer4 for
specific information on opening network interfaces at these layers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#!/usr/local/bin/perl|#!%{_bindir}/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files 
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Net
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.100.0-5.mga8
+ Revision: 1496125
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.100.0-4.mga7
+ Revision: 1270198
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.100.0-3.mga6
+ Revision: 1031339
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.100.0-2.mga6
+ Revision: 967287
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 1.100.0-1.mga6
+ Revision: 848664
- update to 1.10

* Sat Oct 18 2014 umeabot <umeabot> 1.70.0-6.mga5
+ Revision: 788013
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.70.0-5.mga5
+ Revision: 746689
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.70.0-4.mga5
+ Revision: 685745
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.70.0-3.mga4
+ Revision: 513647
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.70.0-2.mga3
+ Revision: 370976
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 05 2012 kharec <kharec> 1.70.0-1.mga3
+ Revision: 288489
- update to 1.07

* Sat Jan 22 2011 jquelin <jquelin> 1.50.0-1.mga1
+ Revision: 32274
- mageia rebuild
- imported package perl-Net-Write


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.50.0-1mdv2010.0
+ Revision: 404272
- rebuild using %%perl_convert_version

* Thu Jun 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-1mdv2010.0
+ Revision: 385254
- update to new version 1.05

* Mon Oct 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2009.1
+ Revision: 295508
- update to new version 1.04

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.03-2mdv2009.0
+ Revision: 268627
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2009.0
+ Revision: 193867
- update to new version 1.03

* Wed Feb 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2008.1
+ Revision: 173294
- update to new version 1.02
- new release
  thise is a noarch package

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.00-2mdv2008.1
+ Revision: 152229
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 1.00-1mdv2008.0
+ Revision: 22625
- 1.00


* Sat Jul 29 2006 Oden Eriksson <oeriksson@mandriva.com> 0.82-1mdv2007.0
- initial Mandriva package

